com.independentsoft.exchange

## Enum MessageTrackingDeliveryStatus

- java.lang.Object
- - java.lang.Enum<MessageTrackingDeliveryStatus>
  - - com.independentsoft.exchange.MessageTrackingDeliveryStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MessageTrackingDeliveryStatus>

      public enum MessageTrackingDeliveryStatus
      extends java.lang.Enum<MessageTrackingDeliveryStatus>

  Contains the message tracking delivery status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELIVERED` The message was delivered to a mailbox or a public folder.
    `PENDING` The message was pending for delivery to a mailbox or a public folder.
    `READ` The message was read.
    `TRANSFERRED` The message was transferred to a mailbox or a public folder.
    `UNSUCCESSFUL` The message was unsuccessful to a mailbox or a public folder.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageTrackingDeliveryStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MessageTrackingDeliveryStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSUCCESSFUL

          public static final MessageTrackingDeliveryStatus UNSUCCESSFUL

      The message was unsuccessful to a mailbox or a public folder.

    - #### PENDING

          public static final MessageTrackingDeliveryStatus PENDING

      The message was pending for delivery to a mailbox or a public folder.

    - #### DELIVERED

          public static final MessageTrackingDeliveryStatus DELIVERED

      The message was delivered to a mailbox or a public folder.

    - #### TRANSFERRED

          public static final MessageTrackingDeliveryStatus TRANSFERRED

      The message was transferred to a mailbox or a public folder.

    - #### READ

          public static final MessageTrackingDeliveryStatus READ

      The message was read.

  - ### Method Detail

    - #### values

          public static MessageTrackingDeliveryStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageTrackingDeliveryStatus c : MessageTrackingDeliveryStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageTrackingDeliveryStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null